Salvar usuário cliente

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.neppo.com.br/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Neppo API MCP server": {
    "url": "https://api-docs.neppo.com.br/mcp"
  }
}

Close
POST /chatapi/1.0/api/v2/users/save/client

Cria ou atualiza um usuário com perfil de cliente na base de dados.

application/json

Body Required

obj

  • id integer(int64)
  • userName string
  • phone string
  • displayName string
  • email string
  • birthDate string
  • active boolean
  • cpf string
  • formal boolean
  • priority integer(int64)
  • externalCode string
  • attributes array[object]
    Hide attributes attributes Show attributes attributes object
    • description string
    • value string

Responses

  • 200 application/json

    OK

  • 201

    Created

  • 401

    Unauthorized

  • 403

    Forbidden

  • 404

    Not Found

POST /chatapi/1.0/api/v2/users/save/client
curl \
 --request POST 'https://api.neppo.com.br/chatapi/1.0/api/v2/users/save/client' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"id":42,"userName":"string","phone":"string","displayName":"string","email":"string","birthDate":"string","active":true,"cpf":"string","formal":true,"priority":42,"externalCode":"string","attributes":[{"description":"string","value":"string"}]}'
Request examples
{
  "id": 42,
  "userName": "string",
  "phone": "string",
  "displayName": "string",
  "email": "string",
  "birthDate": "string",
  "active": true,
  "cpf": "string",
  "formal": true,
  "priority": 42,
  "externalCode": "string",
  "attributes": [
    {
      "description": "string",
      "value": "string"
    }
  ]
}
Response examples (200)
{}